Loading...
Searching...
No Matches
mbedtls_ripemd160_context Struct Reference

RIPEMD-160 context structure. More...

`#include <ripemd160.h>`

## Data Fields

uint32_t | private_total [2]
uint32_t | private_state [5]
unsigned char | private_buffer [64]
int | dummy

## Detailed Description

RIPEMD-160 context structure.

Definition at line 30 of file ripemd160.h.

## Field Documentation

## dummy

int mbedtls_ripemd160_context::dummy

Definition at line 11 of file ripemd160_alt.h.

## private_buffer

unsigned char mbedtls_ripemd160_context::private_buffer[64]

data block being processed

Definition at line 33 of file ripemd160.h.

## private_state

uint32_t mbedtls_ripemd160_context::private_state[5]

intermediate digest state

Definition at line 32 of file ripemd160.h.

## private_total

uint32_t mbedtls_ripemd160_context::private_total[2]

number of bytes processed

Definition at line 31 of file ripemd160.h.

The documentation for this struct was generated from the following files:

- ripemd160.h
- ripemd160_alt.h